Mail archive
alpine-aports

[alpine-aports] [PATCH 3/3] testing/hdf5: new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 14 Jul 2015 22:56:36 -0700

HDF5 is a library for handling the HDF5 data file format.
Meep (MIT Electromagnetic Equation Propagation) and other programs
use this format and library.
---
 testing/hdf5/APKBUILD | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)
 create mode 100644 testing/hdf5/APKBUILD
diff --git a/testing/hdf5/APKBUILD b/testing/hdf5/APKBUILD
new file mode 100644
index 0000000..6e41167
--- /dev/null
+++ b/testing/hdf5/APKBUILD
_at_@ -0,0 +1,70 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer:
+#
+# make test does not complete without error on all systems;
+# the bug is somewhere in src/H5Omtime.c, unless the test is wrong.
+# Essentially, when the timezone is not UTC, it adjusts the ctime it
+# reads one way and the "known" datestamp the other way.
+# I'm not sure if this is musl-specific or not.
+# With TZ=UTC, all tests pass.
+#
+# HDF5 depends on zlib and provides a C interface by default.
+# Optionally, it can be built with szip (which has limitations on
+# commercial use and thus is non-free), MPI, and C++ and Fortran bindings.
+# C++ and Fortran bindings may not be thread-safe:
+# building either and passing --enable-threadsafe is unsupported.
+
+pkgname=hdf5
+_pkgver=1.8.15-patch1
+pkgver=1.8.15.1
+pkgrel=0
+pkgdesc="HDF5 is a data model, library, and file format for storing and managing data"
+url="http://www.hdfgroup.org/HDF5/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.hdfgroup.org/ftp/HDF5/current/src/hdf5-$_pkgver.tar.bz2"
+
+_builddir="$srcdir"/hdf5-$_pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	update_config_sub || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--enable-threadsafe \
+		--enable-direct-vfd \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -d "$pkgdir"/usr/share/licenses/"$pkgname"
+	install -c -m 0644 COPYING "$pkgdir"/usr/share/licenses/"$pkgname"/COPYING
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3c0d7a8c38d1abc7b40fc12c1d5f2bb8  hdf5-1.8.15-patch1.tar.bz2"
+sha256sums="a5afc630c4443547fff15e9637b5b10404adbed4c00206d89517d32d6668fb32  hdf5-1.8.15-patch1.tar.bz2"
+sha512sums="380c06f3cab469351d6ddc940c7cdffd5bd20a74e69cb4d549989bec5f130dadae11c04928ead7eea0200a175fc45a042d068a752d8a9c19a35c3a6912a147bd  hdf5-1.8.15-patch1.tar.bz2"
-- 
2.4.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 14 2015 - 22:56:36 GMT